Update current user
Update current user
Using this endpoint, you can update your own user. Authorize the request with a personal access token (PAT).
You can’t update other users with this endpoint, and you can’t use an API token to authorize the request.
PUT
/v2/userFeatures
Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.
Input1
Sent from your browser straight to the API — never to Docsbook, never stored.
New name for the user
Output4
User's email address
Unique identifier for the user
User's full name
Detailed information about a user's role
Responses
200User
Example input
curl -X PUT 'https://api.axiom.co/v2/user' \
-H 'Authorization: Bearer API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"name":"John Smith"}'Example output
{
"email": "john.doe@example.com",
"id": "usr_123456789",
"name": "John Doe",
"role": {
"id": "role_123456789",
"name": "Organization Admin"
}
}